---
- name: install nginx
  apt:
    name:
      - nginx-full
    install_recommends: false

- name: configure nginx sites
  template:
    src: nginx/{{ item }}.j2
    dest: /etc/nginx/sites-enabled/{{ item }}
  notify: reload nginx
  loop:
    - default
    - salsa-logs

- name: setup empty user file
  copy:
    content: ''
    dest: /etc/nginx/users
    force: false
    group: www-data
    mode: '0640'
